[Mongrel] problems with Mongrel + Pound

mohammed.a at aol.in mohammed.a at aol.in
Wed Feb 27 02:42:03 EST 2008


 Zed, Emobius,

Thank you for the replies.

Here's what I found - mysql gem was not installed and that maybe a core source of problems as suggested by Zed. We've had? too many problems when we tried to install this, and found that none of the solutions that are mentioned really work. We will try to install this gem again. 

An application that we built using DRB designed to be asynchronous failed to process asynchronous requests, had each instance of ruby piling up request queues and subsequently throwing errors (as all ports were getting requests continuously).

I will be keen to get inputs from anyone who has used DRB instead of AP4R for asynchronous requests



 Ruby version is 1.8.6 (we're upgrading this today night)

Ngnix - we're trying this out today on our staging machines and after it is found to be stable, we will move to production.

Temporarily, we've moved from DRB to AP4R for asynchronous processing. Personally, I am still comfortable with DRB than AP4R but that is another discussion altogether.

----

Another question: Are there benchmarked transaction statistics on standard hardware for ROR / mongrel platform (similar to whats available on TPC.org?). We're looking at benchmarking our system to initially support 10m requests per day (consider each one to be a simple find_by_sql query against a database of 1000 requests + 1 asynchronous process for billing.

regards

Mohammed. A 


 

-----Original Message-----
From: Andrew Stewart <boss at airbladesoftware.com>
To: mongrel-users at rubyforge.org
Sent: Wed, 27 Feb 2008 1:40 am
Subject: Re: [Mongrel] problems with Mongrel + Pound











On 26 Feb 2008, at 19:53, Ezra Zygmuntowicz wrote:
>> ruby 1.8.6 (2007-03-13 patchlevel 0) [x86_64-linux]
>
> This version of ruby has serious bugs! You need to either down grade
> to ruby 1.8.5 or upgrade to ruby 1.8.6 p 111. You need at least patch
> level 110 or else do not use 1.8.6

Thanks for that tip -- I checked my Ruby installation and found it  
was that very same buggy version.  I hadn't realised it was flawed....

Regards,
Andy Stewart

-------
http://airbladesoftware.com



_______________________________________________
Mongrel-users mailing list
Mongrel-users at rubyforge.org
http://rubyforge.org/mailman/listinfo/mongrel-users



 


________________________________________________________________________
You are invited to Get a Free AOL Email ID. - http://webmail.aol.in
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/mongrel-users/attachments/20080227/f4122624/attachment.html 


More information about the Mongrel-users mailing list